/* This file is part of the KDE project
 *
 * Copyright (C) 2011 Valentin Rusu <kde@rusu.info>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef FLY_SECRETSSERVICECLIENTMACROS_H
#define FLY_SECRETSSERVICECLIENTMACROS_H

#include <QtCore/qglobal.h>

/**
 * @def FLY_SECRETSSERVICE_EXPORT
 *
 * This macro marks the attached symbol as shared, so it can be used
 * from the outside of its library
 */
#ifdef MAKE_FLYSECRETSSERVICE_LIB
/* when building FlySecretsService Client API */
#define FLY_SECRETSSERVICE_EXPORT Q_DECL_EXPORT
#else // MAKE_FLYSECRETSSERVICECLIENT_LIB
/* when using the FlySecretsService Client API */
#define FLY_SECRETSSERVICE_EXPORT Q_DECL_IMPORT
#endif // MAKE_FLYSECRETSSERVICECLIENT_LIB


#endif // FLY_SECRETSSERVICECLIENTMACROS_H
